using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Enums.Snapshot;

public enum EPointsSource
{
    /// <summary>
    /// 上报积分
    /// </summary>
    [Description("上报积分")]
    Report = 0,

    /// <summary>
    /// 审核积分
    /// </summary>
    [Description("审核积分")]
    Audit = 1,

    /// <summary>
    /// 额外扣除
    /// </summary>
    [Description("额外扣除")]
    AuditDeduct = 2,

    /// <summary>
    /// 积分兑换
    /// </summary>
    [Description("积分兑换")]
    Exchange = 3,
}
